<?php
  $thisPage="index";
/*
	--------------------------------------------------------------------------------
	Project: Stammbaum
	From: 14-oct-2019
	To:
	Version: 1.1 on 15/10/2019
	Author: Harald Börgmann, h.boergmann@t-online.de
	Filename: http://hboergmann/home/stb/public/index.php/index
	--------------------------------------------------------------------------------
*/
  include __DIR__ . "/../layout/header.php";
  include __DIR__ . "/../layout/navigation.php";
  include __DIR__ . "/../layout/css/navi.css";
//  include __DIR__ . "/../layout/css/main.css";
  include __DIR__ . "./../inc/function_display.inc.php";

  $link_blog = __DIR__ . "/../../public/index.php/index";
?>
<html>
  <head>
    <title>Haralds Stammbaum</title>
    <style type="text/css"></style><?php
    $top_max = 600; ?>
  </head>

  <script type="text/javascript">
    var tvar=0;
    function MachText(feld_text){
      if (tvar==0){
        document.getElementById('text_feld').innerHTML=feld_text;
        tvar=1;
      } else if (tvar==1) {
        document.getElementById('text_feld').innerHTML='<b>***&nbsp;Was wird angezeigt&nbsp;***</b>';
        tvar=0;
      }
    }
  </script>

  <body><?php
    global $ladezeit;
    if (isset($_SESSION['id'])){ $link_id = $_SESSION['id']; } else { $link_id = 2;}?>

    <center><div style = "width:720px;">
      <h1>Stammbaum der Familie <?php echo "</br>".$person->first_name." ".$person->last_name;?></h1><?php
      $str_label = "Bitte Person wählen: "; //$id = $person->member_id;
      select_person($str_label, $person, $persons); ?>
      <p>Hier beginnt die Reise durch den Stammbaum meiner Familie sowie seinen Nebenzweigen.</br>
        Leider fehlen noch einige Angaben zu Menschen, die entweder verstorben sind oder zu denen ich bisher
        einfach noch keinen Kontakt hatte.
        Ich bin für jeden Hinweis zur Vervollständigung dankbar! </br>
        Bitte schreibt gerne eine <b><u>Anmerkung</u></b> zur <span style="background-color:lightyellow;
           border:1px; border-style:solid; border-color:lightgrey;">ausgewählten</span> Person.
      <b><a href='remarks?id=<?php echo $link_id;?> '/></br> Link zur Anmerkung</a></b> </p>
      <p>In meinem <b><u>Blog</u></b> können Sie Anmerkungen zur Seite hinterlassen oder noch nicht erfasste Personen benennen.
        <b><a href='https://hboergmann.de/home/blog/public/index.php/index'/></br>Link zu meinem Blog</a></b></p>
      <p>Ich wünsche viel Vergnügen beim Lesen und freue mich auf Eure Resonanz.</p>
        <b>Harald Börgmann</b>
    </center>
  </div>
<hr>
<center>
<div id="text_feld" style="position:relative;">
  <img src="../../img/ArrowRight.gif"><b>***&nbsp;Was wird angezeigt&nbsp;***</b>
</div>
  <br>
  Die <b><span style="background-color:lightyellow;border:1px; border-style:solid; border-color:lightgrey;">
    Auswahlliste</span></b> im Seitenkopf bildet die Ausgangsbasis für:</br>
  <b>
  <?php
  $arrow_right = "<img src='../../img/ArrowRight.gif'>";
  $onclick = "<a onclick=\"javascript:window.location='baum?id=<?php echo $link_id;?>'\"";
  $onmouseover =  "<a onclick=\"javascript:window.location='baum?id=<?php echo $link_id;?>'\" ";
  $onmouseout = "onMouseout=\"javascript:MachText('***&nbsp;Was wird angezeigt&nbsp;***');\">Stammbaum</a>&nbsp;&nbsp;&nbsp; ";?>
  <img src='../../img/ArrowRight.gif'>
    <a onclick="javascript:window.location='baum?id=<?php echo $link_id;?>'"
      onMouseover="javascript:MachText('<b>Ausgehend von der Auswahlliste werden 3, 4 oder mehr frühere Generationen angezeigt.</b>');"
      onMouseout="javascript:MachText('***&nbsp;Was wird angezeigt&nbsp;***');">Stammbaum</a>&nbsp;&nbsp;&nbsp;

  <img src="../../img/ArrowRight.gif">
    <a onclick="javascript:window.location='familienblatt?id=<?php echo $link_id;?>'"
      onMouseover="javascript:MachText('<b>Ausgehend von der Auswahlliste werden Eltern, Partner, Kinder und Geschwister tabellarisch angezeigt.</b>');"
      onMouseout="javascript:MachText('***&nbsp;Was wird angezeigt&nbsp;***');">Familienblatt</a>&nbsp;&nbsp;&nbsp;

  <img src="../../img/ArrowRight.gif">
    <a onclick="javascript:window.location='familientafel?id=<?php echo $link_id;?>'"
      onMouseover="javascript:MachText('<b>Ausgehend von der Auswahlliste werden Eltern und deren Geschwister sowie deren Eltern angezeigt.</b>');"
      onMouseout="javascript:MachText('***&nbsp;Was wird angezeigt&nbsp;***');">Familientafel</a>&nbsp;&nbsp;&nbsp;

  <img src="../../img/ArrowRight.gif">
    <a onclick="javascript:window.location='nachkommen?id=<?php echo $link_id;?>'"
      onMouseover="javascript:MachText('<b>Ausgehend von der Auswahlliste werden Großeltern, Eltern/Onkel/Tanten sowie deren Kinder angezeigt</b>');"
      onMouseout="javascript:MachText('***&nbsp;Was wird angezeigt&nbsp;***');">Nachkommen</a> &nbsp;&nbsp;&nbsp;

  <img src="../../img/ArrowRight.gif">
    <a onclick="javascript:window.location='showlist?liste=5'"
      onMouseover="javascript:MachText('<b>Listen für: ledige Frauen oder Männer - verheiratete Paare - Eltern jeder Person - Nachnamen (gruppiert) - Familien - alle Personen</b>');"
      onMouseout="javascript:MachText('***&nbsp;Was wird angezeigt&nbsp;***');">Listen</a>&nbsp;&nbsp;
  </b>
</div>
<hr>
<p><b>Allgemein gilt: </b>Ein <b><I><u>click auf den Namen</u></I></b> erzeugt eine neue Ausgangsbasis.</br>
  Ein <b><i><u>click auf das Bild</u></i></b>, ruft das zugehörige Familienblatt auf.</p>
</center></br>

<?php
  include __DIR__ . "/../layout/footer_e.php";
?>
